<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TY Subscribe</title>
    <style>
        .js-subscribe-button{
            border: none;
            background-color: black;
            color: aliceblue;
            padding-right: 15px;
            padding-left: 15px;
            padding-top: 10px;
            padding-bottom: 10px;
            border-radius: 50px;
            font-weight: bold;
            cursor: pointer;
        }
        .is_subscribed{
            background-color: rgb(230, 227, 227);
            color: black;
        }
    </style>
</head>
<body>
    <p>Youtube button subscribe page</p>

    <button class="js-subscribe-button" onclick="
       subscribe();
    ">subscribe</button>

    <script>
        function subscribe(){
            const buttonElements = document.querySelector('.js-subscribe-button');
            if(buttonElements.innerText==='subscribe'){
                buttonElements.innerHTML='Subscribed';
                buttonElements.classList.add('is_subscribed');
            } else {
                buttonElements.innerHTML = 'subscribe';
                buttonElements.classList.remove('is_subscribed')
            }
        }
    </script>
</body>
</html>